Package org.bukkit.entity

# Enum Class Ocelot.Type

java.lang.Object
java.lang.Enum<Ocelot.Type>
org.bukkit.entity.Ocelot.Type

All Implemented Interfaces:
  `Serializable`, `Comparable<Ocelot.Type>`, `Constable`

Enclosing interface:
  Ocelot

@Deprecated public static enum Ocelot.Type extends Enum<Ocelot.Type>
Deprecated.
Cats are now a separate entity.
Represents the various different cat types there are.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`BLACK_CAT`
Deprecated.
`RED_CAT`
Deprecated.
`SIAMESE_CAT`
Deprecated.
`WILD_OCELOT`
Deprecated.

## Method Summary

Modifier and Type
Method
Description
`int`
`getId()`
Deprecated.
Magic value
`static @Nullable Ocelot.Type`
`getType(int id)`
Deprecated.
Magic value
`static Ocelot.Type`
`valueOf(String name)`
Deprecated.
Returns the enum constant of this class with the specified name.
`static Ocelot.Type[]`
`values()`
Deprecated.
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### WILD_OCELOT

public static final Ocelot.Type WILD_OCELOT
Deprecated.

### BLACK_CAT

public static final Ocelot.Type BLACK_CAT
Deprecated.

### RED_CAT

public static final Ocelot.Type RED_CAT
Deprecated.

### SIAMESE_CAT

public static final Ocelot.Type SIAMESE_CAT
Deprecated.

## Method Details

### values

public static Ocelot.Type[] values()
Deprecated.
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static Ocelot.Type valueOf(String name)
Deprecated.
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### getId

@Deprecated public int getId()
Deprecated.
Magic value
Gets the ID of this cat type.

Returns:
  Type ID.

### getType

@Deprecated @Nullable public static @Nullable Ocelot.Type getType(int id)
Deprecated.
Magic value
Gets a cat type by its ID.

Parameters:
  `id` - ID of the cat type to get.
Returns:
  Resulting type, or null if not found.